<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:inr="http://mycompany.com/mynamespace">
    <xsl:include href="../format.xsl"/>
    <!-- Simple List Coordinates -->
    <xsl:output method="text" media-type="text/plain" encoding="iso-8859-1"/>
    <xsl:template match="/">
        <xsl:variable name="gridOut" select="inr:SetGridOut(number(InRoads/@outputGridScaleFactor))"/>
        <xsl:choose>
            <xsl:when test="$xslShowHelp = 'true'">
                <xsl:call-template name="StyleSheetHelp"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:for-each select="InRoads">
                    <xsl:text/>
                    <xsl:text>*   Name         X               Y            Z        Style&#xd;</xsl:text>
                    <xsl:for-each select="//CogoPoints/GeometryPoint">
                        <xsl:value-of select="inr:columnFormat(string(@name), 8)"/>
                        <xsl:value-of select="inr:columnDoubleFormat(number(@easting), $xslEastingPrecision, 16)"/>
                        <xsl:value-of select="inr:columnDoubleFormat(number(@northing), $xslNorthingPrecision, 16)"/>
                        <xsl:choose>
                            <xsl:when test="@elevation">
                                <xsl:value-of select="inr:columnDoubleFormat(number(@elevation), $xslElevationPrecision, 13)"/>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:value-of select="inr:columnFormat(' ', 13)"/>
                            </xsl:otherwise>
                        </xsl:choose>
                        <xsl:text> &#xa0;</xsl:text>
                        <xsl:value-of select="@style"/>
                        <xsl:text>&#xd;</xsl:text>
                    </xsl:for-each>
                </xsl:for-each>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    <xsl:template name="StyleSheetHelp">
        <xsl:text>Notes&#xd;&#xd;</xsl:text>
        <xsl:text>    You must include at least one cogo point in the Cogo&#xd;</xsl:text>
        <xsl:text>    Points &gt; Include field on the Tools &gt; XML Reports&#xd;</xsl:text>
        <xsl:text>    &gt; Geometry command to get results from this report.&#xd;&#xd;</xsl:text>
        <xsl:text>    Most style sheets in the DataCollection directory do&#xd;</xsl:text>
        <xsl:text>    not honor Tools &gt; Format Options with the exception of&#xd;</xsl:text>
        <xsl:text>    precision, where practical.&#xd;&#xd;</xsl:text>
        <xsl:text>Copyright 2006 Bentley Systems, Inc&#xd;</xsl:text>
    </xsl:template>
</xsl:stylesheet>
