<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:inr="http://mycompany.com/mynamespace">
    <xsl:include href="../format.xsl"/>
    <!-- Cross Sections to CSV -->
    <xsl:output method="text" media-type="text/plain" encoding="iso-8859-1"/>
    <xsl:template match="/">
        <xsl:variable name="gridOut" select="inr:SetGridOut(number(InRoads/@outputGridScaleFactor))"/>
        <xsl:choose>
            <xsl:when test="$xslShowHelp = 'true'">
                <xsl:call-template name="StyleSheetHelp"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:for-each select="InRoads/CrossSectionSet">
                    <xsl:text/>
                    <xsl:text>setName,alignmentName&#xd;</xsl:text>
                    <xsl:value-of select="@setName"/><xsl:text>,</xsl:text><xsl:value-of select="@alignmentName"/><xsl:text>&#xd;</xsl:text>
                    <xsl:for-each select="CrossSectionStations/CrossSectionStation">
                        <xsl:text>station&#xd;</xsl:text>
                        <xsl:value-of select="inr:stationFormat(number(Station/@externalStation), $xslStationFormat,$xslStationPrecision, string(Station/@externalStationName))"/>
                        <xsl:text>&#xd;</xsl:text>
                        <xsl:for-each select="CrossSectionSurfaces/CrossSectionSurface">
                            <xsl:text>name&#xd;</xsl:text>
                            <xsl:value-of select="@name"/><xsl:text>&#xd;</xsl:text>
                            <xsl:for-each select="CrossSectionPoints">
                                <xsl:text>northing,easting,elevation,offset&#xd;</xsl:text>
                                <xsl:for-each select="CrossSectionPoint">
                                    <xsl:value-of select="@northing"/><xsl:text>,</xsl:text>
                                    <xsl:value-of select="@easting"/><xsl:text>,</xsl:text>
                                    <xsl:value-of select="@elevation"/><xsl:text>,</xsl:text>
                                    <xsl:value-of select="@offset"/><xsl:text>&#xd;</xsl:text>
                                </xsl:for-each>
                            </xsl:for-each>
                        </xsl:for-each>
                    </xsl:for-each>
                    <xsl:text>&#xd;</xsl:text>
                </xsl:for-each>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    <xsl:template name="StyleSheetHelp">
        <xsl:text>Notes&#xd;&#xd;</xsl:text>
        <xsl:text>    You must have created cross sections along your&#xd;</xsl:text>
        <xsl:text>    alignment and the cross section set must have the&#xd;</xsl:text>
        <xsl:text>    surfaces and features upon which you wish to report&#xd;</xsl:text>
        <xsl:text>    displayed.&#xd;&#xd;</xsl:text>
        <xsl:text>    You can create the XML data file from the Evaluation &gt;&#xd;</xsl:text>
        <xsl:text>    Cross Section &gt; Cross Section Report command or from&#xd;</xsl:text>
        <xsl:text>    the End-Area Volumes leaf of the Evaluation &gt; Cross&#xd;</xsl:text>
        <xsl:text>    Section &gt; Cross Sections command by toggling on&#xd;</xsl:text>
        <xsl:text>    the Create XML Report option on the General leaf.&#xd;&#xd;</xsl:text>
        <xsl:text>Copyright 2006 Bentley Systems, Inc&#xd;</xsl:text>
    </xsl:template>
</xsl:stylesheet>
