<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:inr="http://mycompany.com/mynamespace">
    <xsl:include href="../format.xsl"/>
    <!-- Intersecting Alignment Stations ASCII Format -->
    <xsl:output method="text" media-type="text/plain" encoding="iso-8859-1"/>
    <xsl:template match="/">
        <xsl:variable name="gridOut" select="inr:SetGridOut(number(InRoads/@outputGridScaleFactor))"/>
        <xsl:choose>
            <xsl:when test="$xslShowHelp = 'true'">
                <xsl:call-template name="StyleSheetHelp"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:for-each select="InRoads/GeometryProject/HorizontalAlignment/HorizontalEventPoints/IntersectingAlignmentPoints">
                    <xsl:text/>
                    <xsl:for-each select="IntersectingAlignmentPoint">
                        <xsl:sort data-type="number" select="*/station/@internalStation"/>
                        <xsl:value-of select="../../../@name"/>
                        <xsl:text>|</xsl:text>
                        <xsl:value-of select="inr:stationFormat(number(primaryAlignmentPoint/station/@externalStation), $xslStationFormat, $xslStationPrecision, string(primaryAlignmentPoint/station/@externalStationName))"/>
                        <xsl:text>|</xsl:text>
                        <xsl:value-of select="@secondaryHorizontalAlignmentName"/>
                        <xsl:text>|</xsl:text>
                        <xsl:value-of select="inr:stationFormat(number(secondaryAlignmentPoint/station/@externalStation), $xslStationFormat, $xslStationPrecision, string(secondaryAlignmentPoint/station/@externalStationName))"/>
                        <xsl:text>|</xsl:text>
                        <xsl:value-of select="inr:eastingFormat(number(primaryAlignmentPoint/@easting), $xslEastingPrecision)"/>
                        <xsl:text>|</xsl:text>
                        <xsl:value-of select="inr:northingFormat(number(primaryAlignmentPoint/@northing), $xslNorthingPrecision)"/>
                        <xsl:text>|</xsl:text>
                        <xsl:value-of select="inr:elevationFormat(number(@elevationDifference), $xslElevationPrecision)"/>
                        <xsl:text>&#xd;</xsl:text>
                    </xsl:for-each>
                </xsl:for-each>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    <xsl:template name="StyleSheetHelp">
        <xsl:text>Notes&#xd;&#xd;</xsl:text>
        <xsl:text>    You must include at least one horizontal alignment in&#xd;</xsl:text>
        <xsl:text>    the Include field on the Tools &gt; XML Reports &gt;&#xd;</xsl:text>
        <xsl:text>    Intersecting Alignment Stations command to get results&#xd;</xsl:text>
        <xsl:text>    from this report.&#xd;&#xd;</xsl:text>
        <xsl:text>Copyright 2007 Bentley Systems, Inc&#xd;</xsl:text>
    </xsl:template>
</xsl:stylesheet>
